import { expect } from 'chai';
import { binding, given } from 'cucumber-tsflow';
import { ThenableWebDriver } from 'selenium-webdriver';

import { WebDriver } from '../../common/WebDriver';

@binding([])
export class PageSteps {
	protected driver: ThenableWebDriver;

	public constructor() {
		this.driver = new WebDriver().getDriver();
	}

	@given(/page title is (.*)/)
	public async thenPageTitleIs(title: string) {
		const pageTitle = await this.driver.getTitle();
		expect(pageTitle).to.equal(title);
	}
}
